be.ehealth.businessconnector.genericasync.session

## Class GenAsyncServiceImplementationFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory
  - - be.ehealth.businessconnector.genericasync.session.GenAsyncServiceImplementationFactory

-     public class GenAsyncServiceImplementationFactory
      extends ImplementationClassFactory

  Implementation for the `GenAsyncSessionServiceFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenAsyncServiceImplementationFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

    - ### Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory

      `createImplementationClass`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenAsyncServiceImplementationFactory

          public GenAsyncServiceImplementationFactory()

  - ### Method Detail

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 String... additionalParameters)
                                          throws GenAsyncBusinessConnectorException,
                                                 TechnicalConnectorException

      Overrides:
        `createImplementationClass` in class `ImplementationClassFactory`
      Throws:
        `GenAsyncBusinessConnectorException`
        `TechnicalConnectorException`
      See Also:
        `ImplementationClassFactory.createImplementationClass(Class, SessionValidator, EhealthReplyValidator, String...)`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.